Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231760 - Deprecation warnings when launching wifi-radar
Summary: Deprecation warnings when launching wifi-radar
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: wifi-radar
Version: 6
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ian Pilcher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
: 451651 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-11 11:01 UTC by Heiko Adams
Modified: 2008-06-16 14:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-03 18:37:22 UTC


Attachments (Terms of Use)

Description Heiko Adams 2007-03-11 11:01:50 UTC
Description of problem:
When launching wifi-radar from commandline the following warnings are thrown:

/usr/sbin/wifi-radar:1890: GtkDeprecationWarning: gtk.threads_init is
deprecated, use gtk.gdk.threads_init instead
  gtk.threads_init()
/usr/sbin/wifi-radar:815: GtkDeprecationWarning: gtk.threads_enter is
deprecated, use gtk.gdk.threads_enter instead
  gtk.threads_enter()
/usr/sbin/wifi-radar:846: GtkDeprecationWarning: gtk.threads_leave is
deprecated, use gtk.gdk.threads_leave instead
  gtk.threads_leave()

Version-Release number of selected component (if applicable):
wifi-radar.noarch 0:1.9.6-3.fc6

Comment 1 Bug Zapper 2008-04-04 06:30:25 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 2 Heiko Adams 2008-04-07 19:29:36 UTC
I've updated wifi-radar to 1.9.8 in the meantime which fixed these warnings.

Comment 3 Johan Kok 2008-05-03 18:37:22 UTC
(In reply to comment #2)
> I've updated wifi-radar to 1.9.8 in the meantime which fixed these warnings.

Thank you for reporting back. Closing this issue as RESOLVED.

Comment 4 Stefan Jensen 2008-06-16 14:18:40 UTC
*** Bug 451651 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.